<template>
    <div>
        <v-autocomplete
        clearable
        hide-no-data
        hide-selected
        color="white"
        label="seatch"
        prepend-inner-icon="search"
        flat
        :items="films"
        item-text="name"
        item-value="id"
        id="search"
        class="search"
        >
            <template v-slot:item="{item}">
                <router-link :to="{ name: 'film', params: { film: item, url: item.url }}" class="search__link">{{ item.name }}</router-link>
            </template>
        </v-autocomplete>
        <section class="bigslider">
            <h1 class="bigslider__title">Фильмы</h1>
            <div class="uk-position-relative uk-visible-toggle uk-light bigslider__container" tabindex="-1" uk-slider="center: true">
                <ul class="uk-slider-items uk-grid bigslider__list">
                    <Film 
                        v-for="film in films" :key="film.id"
                        v-bind:film="film"
                        v-bind:section="`bigslider`"
                    />   
                </ul>
                <a class="uk-position-center-left uk-position-small uk-hidden-hover" href="#" uk-slidenav-previous uk-slider-item="previous" aria-label="Следующий"></a>
                <a class="uk-position-center-right uk-position-small uk-hidden-hover" href="#" uk-slidenav-next uk-slider-item="next" aria-label="Предыдущий"></a>
            </div>
        </section>
        <section class="recommend">
            <h2 class="recommend__title">Рекомендации</h2>
            <div class="uk-position-relative uk-visible-toggle uk-light recommend__container" tabindex="-1" uk-slider="sets: true">
                <ul class="uk-slider-items uk-child-width-1-2 uk-child-width-1-3@m recommend__list">
                    <Film 
                        v-for="film in films" :key="film.id"
                        v-bind:film="film"
                        v-bind:section="`recommend`"
                    />   
                </ul>
                <a class="uk-position-center-left uk-position-small uk-hidden-hover" href="#" uk-slidenav-previous uk-slider-item="previous" aria-label="Следующий"></a>
                <a class="uk-position-center-right uk-position-small uk-hidden-hover" href="#" uk-slidenav-next uk-slider-item="next" aria-label="Предыдущий"></a>
            </div>
        </section>
        <section class="new">
            <h2 class="new__title">Новинки</h2>
            <div class="uk-position-relative uk-visible-toggle uk-light new__container" tabindex="-1" uk-slider="sets: true">
                <ul class="uk-slider-items uk-child-width-1-2 uk-child-width-1-3@m new__list">
                    <Film 
                        v-for="film in films" :key="film.id"
                        v-bind:film="film"
                        v-bind:section="`new`"
                    /> 
                </ul>
                <a class="uk-position-center-left uk-position-small uk-hidden-hover" href="#" uk-slidenav-previous uk-slider-item="previous" aria-label="Следующий"></a>
                <a class="uk-position-center-right uk-position-small uk-hidden-hover" href="#" uk-slidenav-next uk-slider-item="next" aria-label="Предыдущий"></a>
            </div>
        </section>
        <section class="catalog">
            <h2 class="catalog__title">Каталог</h2>
            <ul class="catalog__list">
                <Film 
                    v-for="film in films" :key="film.id"
                    v-bind:film="film"
                    v-bind:section="`catalog`"
                /> 
            </ul>
        </section>
        <template>
        <v-data-table
            :headers="headers"
            :items="films"
            class="elevation-1"
        >
            <template v-slot:items="props">
            <td class="text-xs-right">{{ props.item.id }}</td>
            <td class="text-xs-right">{{ props.item.name }}</td>
            <td class="text-xs-right">{{ props.item.date }}</td>
            <td class="text-xs-right">{{ props.item.description }}</td>
            </template>
        </v-data-table>
        </template>
    </div>
</template>

<script>
import Film from "@/components/FilmComponent"
export default {
    components: {
        Film
    },
    data: () => ({
        draver: null,
        model: '',
        search: null,
        films: [],
        headers: [
          {
            align: 'left',
            sortable: false,
            value: 'name'
          },
          { id: 'Id', value: 'id' },
          { text: 'Films', value: 'name' },
          { date: 'Date', value: 'date' },
          { text: 'Descriprion', value: 'description' },
        ],
    }),
    mounted() {
        this.fetchData()
    },
    methods: {
        fetchTodo() {
            this.axios.get(`http://web-maket.std-1705.ist.mospolytech.ru/main.json`)
                .then(response => this.films = response.data)
        },
        async fetchData() {
            await fetch("http://localhost:8080/main.json")
            .then(response => response.json())
            .then(response => (this.films = response))
        }
    }
};
</script>
